Subject: Re: Crash during resume of pcie bridge due to infinite loop in ACPICA

From: Bert Karwatzki <[email-masked]>
Date: Thu, 27 Nov 2025 01:08:05 +0100

Am Dienstag, dem 25.11.2025 um 20:46 +0100 schrieb Rafael J. Wysocki:
> 
> 
> What may be happening, but this is just a theory, is that the
> interpreter aborts the evaluation of a method due to an internal
> timeout, essentially the control_state->control.loop_timeout check in
> acpi_ds_exec_end_control_op() and that leads to a subsequent hard
> failure like a deadlock.
> 
> This may be tested by increasing the ACPI_MAX_LOOP_TIMEOUT value, but
> I'm not sure it's practical to try that.

I don't think this the case here because ACPI_MAX_LOOP_TIMEOUT defaults to 
30s and the walk loop until the crash only lasts ~2s.

Bert Karwatzki